osgAnimation::BasicAnimationManager Class Reference

`#include <BasicAnimationManager>`

Inheritance diagram for osgAnimation::BasicAnimationManager:

## Public Member Functions

| META_Object (osgAnimation, BasicAnimationManager)
| BasicAnimationManager ()
| BasicAnimationManager (const BasicAnimationManager &b, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| BasicAnimationManager (const AnimationManagerBase &b, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual | ~BasicAnimationManager ()
void | update (double time)
void | playAnimation (Animation *pAnimation, int priority=0, float weight=1.0)
bool | stopAnimation (Animation *pAnimation)
bool | findAnimation (Animation *pAnimation)
bool | isPlaying (Animation *pAnimation)
bool | isPlaying (const std::string &animationName)
void | stopAll ()
Public Member Functions inherited from osgAnimation::AnimationManagerBase
| AnimationManagerBase ()
| AnimationManagerBase (const AnimationManagerBase &b, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual | ~AnimationManagerBase ()
virtual void | buildTargetReference ()
virtual void | registerAnimation (Animation *)
virtual void | unregisterAnimation (Animation *)
virtual void | link (osg::Node *subgraph)
virtual bool | needToLink () const
const AnimationList & | getAnimationList () const
AnimationList & | getAnimationList ()
Animation * | getRegisteredAnimation (unsigned int i)
unsigned int | getNumRegisteredAnimations () const
void | addRegisteredAnimation (Animation *animation)
void | removeRegisteredAnimation (Animation *animation)
virtual void | operator() (osg::Node *node, osg::NodeVisitor *nv)
void | clearTargets ()
LinkVisitor * | getOrCreateLinkVisitor ()
void | setLinkVisitor (LinkVisitor *)
void | setAutomaticLink (bool)
| set a flag to define the behaviour
bool | getAutomaticLink () const
bool | isAutomaticLink () const
void | dirty ()
Public Member Functions inherited from osg::NodeCallback
| NodeCallback ()
| NodeCallback (const NodeCallback &nc, const CopyOp &copyop)
| META_Object (osg, NodeCallback)
virtual NodeCallback * | asNodeCallback ()
virtual const NodeCallback * | asNodeCallback () const
virtual bool | run (osg::Object *object, osg::Object *data)
Public Member Functions inherited from osg::Callback
| Callback ()
| Callback (const Callback &cb, const CopyOp &copyop)
| META_Object (osg, Callback)
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual StateAttributeCallback * | asStateAttributeCallback ()
virtual const StateAttributeCallback * | asStateAttributeCallback () const
virtual UniformCallback * | asUniformCallback ()
virtual const UniformCallback * | asUniformCallback () const
virtual DrawableUpdateCallback * | asDrawableUpdateCallback ()
virtual const DrawableUpdateCallback * | asDrawableUpdateCallback () const
virtual DrawableEventCallback * | asDrawableEventCallback ()
virtual const DrawableEventCallback * | asDrawableEventCallback () const
virtual DrawableCullCallback * | asDrawableCullCallback ()
virtual const DrawableCullCallback * | asDrawableCullCallback () const
virtual osgGA::EventHandler * | asEventHandler ()
virtual const osgGA::EventHandler * | asEventHandler () const
bool | traverse (osg::Object *object, osg::Object *data)
void | setNestedCallback (osg::Callback *cb)
osg::Callback * | getNestedCallback ()
const osg::Callback * | getNestedCallback () const
void | addNestedCallback (osg::Callback *nc)
void | removeNestedCallback (osg::Callback *nc)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Types

typedef std::map< int, AnimationList > | AnimationLayers

## Protected Attributes

AnimationLayers | _animationsPlaying
double | _lastUpdate
Protected Attributes inherited from osgAnimation::AnimationManagerBase
osg::ref_ptr< LinkVisitor > | _linker
AnimationList | _animations
TargetSet | _targets
bool | _needToLink
bool | _automaticLink
Protected Attributes inherited from osg::Callback
ref_ptr< Callback > | _nestedCallback
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osgAnimation::AnimationManagerBase
typedef std::set< osg::ref_ptr< Target > > | TargetSet
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::NodeCallback
virtual | ~NodeCallback ()
Protected Member Functions inherited from osg::Callback
virtual | ~Callback ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Member Typedef Documentation

## AnimationLayers

typedef std::map<int, AnimationList > osgAnimation::BasicAnimationManager::AnimationLayers

protected

## Constructor & Destructor Documentation

## BasicAnimationManager() [1/3]

osgAnimation::BasicAnimationManager::BasicAnimationManager | ( |  | ) |

Referenced by BasicAnimationManager(), and META_Object().

## BasicAnimationManager() [2/3]

osgAnimation::BasicAnimationManager::BasicAnimationManager | ( | const BasicAnimationManager & | b,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References BasicAnimationManager(), and osg::CopyOp::SHALLOW_COPY.

## BasicAnimationManager() [3/3]

osgAnimation::BasicAnimationManager::BasicAnimationManager | ( | const AnimationManagerBase & | b,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References osgAnimation::AnimationManagerBase::AnimationManagerBase(), and osg::CopyOp::SHALLOW_COPY.

## ~BasicAnimationManager()

virtual osgAnimation::BasicAnimationManager::~BasicAnimationManager | ( |  | ) |

virtual

## Member Function Documentation

## findAnimation()

bool osgAnimation::BasicAnimationManager::findAnimation | ( | Animation * | pAnimation | ) |

## isPlaying() [1/2]

bool osgAnimation::BasicAnimationManager::isPlaying | ( | Animation * | pAnimation | ) |

## isPlaying() [2/2]

bool osgAnimation::BasicAnimationManager::isPlaying | ( | const std::string & | animationName | ) |

## META_Object()

osgAnimation::BasicAnimationManager::META_Object | ( | osgAnimation | ,
|  | BasicAnimationManager | )

References BasicAnimationManager().

## playAnimation()

void osgAnimation::BasicAnimationManager::playAnimation | ( | Animation * | pAnimation,
|  | int | priority = 0,
|  | float | weight = 1.0 )

## stopAll()

void osgAnimation::BasicAnimationManager::stopAll | ( |  | ) |

## stopAnimation()

bool osgAnimation::BasicAnimationManager::stopAnimation | ( | Animation * | pAnimation | ) |

## update()

void osgAnimation::BasicAnimationManager::update | ( | double | time | ) |

virtual

Implements osgAnimation::AnimationManagerBase.

## Member Data Documentation

## _animationsPlaying

AnimationLayers osgAnimation::BasicAnimationManager::_animationsPlaying

protected

## _lastUpdate

double osgAnimation::BasicAnimationManager::_lastUpdate

protected

The documentation for this class was generated from the following file:

- BasicAnimationManager